summaryrefslogtreecommitdiffhomepage
path: root/vars/pkgconf_host.vars
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-11-14 23:02:47 +0100
committerLucio Andrés Illanes Albornoz (arab, vxp) <l.illanes@gmx.de>2016-11-15 20:40:50 +0100
commit59765f508225998d8a73b1da8380ff06b4a6b79c (patch)
tree9397850a4ab5bac51ec373558722c45be4fe7258 /vars/pkgconf_host.vars
parent8739dbe67d82f90d1c3b63a8d07af291c4ace600 (diff)
downloadmidipix_build-59765f508225998d8a73b1da8380ff06b4a6b79c.tar.bz2
midipix_build-59765f508225998d8a73b1da8380ff06b4a6b79c.tar.xz
1) Replaces the SysV-style build script link mechanism w/ build {,meta-}targets,
2) splits build.{subr,sh}} into subr/{build,pkg,rtl}.subr and build.sh, 3) replaces {997.strip,998.midipix_sh,999.tarballs}.build with subr/{strip,tarball}.subr, 4) moves patches to patches/, vars files to vars/, and everything else to etc/, 5) renames `Create `Midipix mintty shell' shortcut.vbs' to midipix_shortcut.vbs, 6) fixes a Weechat configure issue, and 7) updates etc/{build.usage,README}.
Diffstat (limited to 'vars/pkgconf_host.vars')
-rw-r--r--vars/pkgconf_host.vars19
1 files changed, 19 insertions, 0 deletions
diff --git a/vars/pkgconf_host.vars b/vars/pkgconf_host.vars
new file mode 100644
index 00000000..61d467a2
--- /dev/null
+++ b/vars/pkgconf_host.vars
@@ -0,0 +1,19 @@
+#
+# . ./build.vars and set -o errexit -o noglob are assumed.
+#
+
+pkg_pkgconf_host_install_post() {
+ if [ -e ${PREFIX}/bin/${TARGET}-pkg-config ]; then
+ secure_rm ${PREFIX}/bin/${TARGET}-pkg-config;
+ fi;
+ cat > ${PREFIX}/bin/${TARGET}-pkg-config <<EOF
+#!/bin/sh
+if [ -z "\${PREFIX_NATIVE}" ]; then
+ PREFIX_NATIVE=${PREFIX_NATIVE};
+fi;
+"\$(dirname "\${0}")"/pkgconf --define-variable=prefix=\${PREFIX_NATIVE%/}/ "\$@";
+EOF
+ chmod +x ${PREFIX}/bin/${TARGET}-pkg-config;
+};
+
+# vim:filetype=sh